<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 09/29/2008 *
 * ================                             Last change: 09/29/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-refback.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Refback and ref overview                         *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Ref-Back und Ref-Uebersicht                      *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Version number
$EXT_VERSION = "0.0.1";

// Auto-set extension version
if (!isset($EXT_VER)) $EXT_VER = $EXT_VERSION;

// Version history array (add more with , "0.1" and so on)
$EXT_VER_HISTORY = array("0.0","0.0.1");

switch ($EXT_LOAD_MODE)
{
case "register": // Do stuff when installation is running (modules.php?module=admin&action=login is called)
	// SQL commands to run
	$SQLs[] = "DROP TABLE IF EXISTS `"._MYSQL_PREFIX."_user_refs`";
	$SQLs[] = "CREATE TABLE `"._MYSQL_PREFIX."_user_refs` (
`id` bigint(20) NOT NULL auto_increment,
`userid` bigint(20) NOT NULL DEFAULT 0,
`level` smallint(6) NOT NULL DEFAULT 0,
`refid` bigint(20) NOT NULL DEFAULT 0,
`refback` float(4,1) NOT NULL DEFAULT 0.0,
`points` FLOAT( 20,5) DEFAULT '0.00000' NOT NULL,
PRIMARY KEY (`id`),
UNIQUE `user_refid` (`userid`,`level`,`refid`),
KEY (`level`),
KEY (`refid`)
) ENGINE=MyISAM COMMENT='User Referals With Refback'";
	$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_member_menu (`action`,`what`,`title`,`sort`,`visible`,`locked`) VALUES ('main','refback','Ref-Back/Ref-&Uuml;bersicht',4,'N','N')";
	break;

case "remove": // Do stuff when removing extension
	// SQL commands to run
	$SQLs[] = "DROP TABLE IF EXISTS "._MYSQL_PREFIX."_user_refs";
	$SQLs[] = "DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_member_menu WHERE what='refback' LIMIT 1";
	$SQLs[] = "DELETE LOW_PRIORITY FROM "._MYSQL_PREFIX."_admin_menu WHERE what IN('config_refback','list_refback') LIMIT 2";
	$SQLs[] = "UPDATE "._MYSQL_PREFIX."_refsystem SET level=level-1";
	break;

case "activate": // Do stuff when admin activates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "deactivate": // Do stuff when admin deactivates this extension
	// SQL commands to run
	$SQLs[] = "";
	break;

case "update": // Update an extension
	switch ($EXT_VER)
	{
	case "0.0.1": // SQL queries for v0.0.1
		$SQLs[] = "ALTER TABLE "._MYSQL_PREFIX."_config ADD refback_enabled ENUM('Y','N') NOT NULL DEFAULT 'Y'";
		$SQLs[] = "ALTER TABLE "._MYSQL_PREFIX."_config ADD refback_min_perc TINYINT(3) NOT NULL DEFAULT 0";
		$SQLs[] = "ALTER TABLE "._MYSQL_PREFIX."_config ADD refback_max_perc TINYINT(3) NOT NULL DEFAULT 100";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (`action`,`what`,`title`,`descr`,`sort`) VALUES('setup','config_refback','Refback','&Auml;ndern Sie Einstellungen zum Refback, wie z.B. Minium- und Maximum-Prozente, was die Mitglieder einstellen d&uuml;rfen.',15)";
		$SQLs[] = "INSERT INTO "._MYSQL_PREFIX."_admin_menu (`action`,`what`,`title`,`descr`,`sort`) VALUES('user','list_refback','Refback auflisten','Refback aller Mitglieder auflisten.',15)";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "";
		break;
	}
	break;

default: // Do stuff when extension is loaded
	// When the refback is not installed we cannot load it's configuration... *sigh*
	break;
}

// Shall we include special files?
if ($EXT_LOAD_MODE == "register") {
	// Execute this special file on this update
	$INC_POOL[] = PATH."inc/gen_refback.php";
} // END - if

// Language file prefix (hmmm, what shall I write with SQL fixes? ;-) )
$EXT_LANG_PREFIX = "refback";

// Extension is always active?
$EXT_ALWAYS_ACTIVE = "N";

//
?>
