<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 08/27/2008 *
 * ================                             Last change: 08/27/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : ext-yoomedia.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Extension for contacting the API of Yoo!Media    *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Erweitertung zur Anbindung an die API von        *
 *                     Yoo!Media                                        *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}

// Version number
$EXT_VERSION = "0.0";

// Auto-set extension version
if (empty($EXT_VER)) $EXT_VER = $EXT_VERSION;

// Version history array (add more with , "0.1" and so on)
$EXT_VER_HISTORY = array("0.0");

switch ($EXT_LOAD_MODE)
{
case "register": // Do stuff when installation is running (modules.php?module=admin&action=login is called)
	// SQL commands to run
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_id` BIGINT(20) NOT NULL DEFAULT 0";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_sid` BIGINT(20) NOT NULL DEFAULT 0";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_passwd` VARCHAR(255) NOT NULL DEFAULT ''";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_erotic_allowed` TINYINT(2) NOT NULL DEFAULT 0";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_tm_max_reload` SMALLINT(6) NOT NULL DEFAULT ".(24 * 8)."";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_tm_min_wait` SMALLINT(6) NOT NULL DEFAULT 0";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_tm_clicks_remain` INT(7) NOT NULL DEFAULT 1000";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_tm_min_pay` FLOAT(20,5) NOT NULL DEFAULT 0.00000";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_requests_total` SMALLINT(6) NOT NULL DEFAULT 200";
	$SQLs[] = "ALTER TABLE `"._MYSQL_PREFIX."_config` ADD `yoomedia_requests_remain` SMALLINT(6) NOT NULL DEFAULT 200";

	// Admin menu
	$SQLs[] = "INSERT INTO `"._MYSQL_PREFIX."_admin_menu` (`action`,`what`,`title`,`descr`,`sort`) VALUES('setup','config_yoomedia','Yoo!Media Interface 2.0','Einstellungen zum Yoo!Media Interface 2.0, wie User-ID, Interface-Passwort und vieles mehr.',17)";
	$SQLs[] = "INSERT INTO `"._MYSQL_PREFIX."_admin_menu` (`action`,`what`,`title`,`descr`,`sort`) VALUES('email','list_yoomedia_tm','Yoo!Media Textmails','Listet Textmail-Buchungen &uuml;ber das Interface 2.0 von Yoo!Media nach Ihren eingestellten Kriterien auf. <strong>Vorsicht:</strong> Jede Aktualisierung dieser Liste kostet Ihnen eine Abfrage!',10)";

	// Reload lock table
	$SQLs[] = "DROP TABLE IF EXISTS `"._MYSQL_PREFIX."_yoomedia_reload`";
	$SQLs[] = "CREATE TABLE `"._MYSQL_PREFIX."_yoomedia_reload` (
`id` BIGINT(20) NOT NULL AUTO_INCREMENT,
`type` VARCHAR(255) NOT NULL DEFAULT 'general',
`y_id` BIGINT(20) NOT NULL DEFAULT 0,
`y_reload` SMALLINT(6) NOT NULL DEFAULT 0,
`inserted` TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
PRIMARY KEY (`id`),
UNIQUE `y_type` (`type`,`y_id`)
) TYPE=MyISAM COMMENT='Reload lock reminder for Yoo!Media campaigns'";
	break;

case "remove": // Do stuff when removing extension
	// SQL commands to run
	$SQLs[] = "DELETE LOW_PRIORITY FROM `"._MYSQL_PREFIX."_admin_menu` WHERE `what` IN('config_yoomedia','list_yoomedia_tm') LIMIT 2";
	$SQLs[] = "DROP TABLE IF EXISTS `"._MYSQL_PREFIX."_yoomedia_reload`";
	break;

case "activate": // Do stuff when admin activates this extension
	// SQL commands to run
	break;

case "deactivate": // Do stuff when admin deactivates this extension
	// SQL commands to run
	break;

case "update": // Update an extension
	switch ($EXT_VER)
	{
	case "0.0.1": // SQL queries for v0.0.1
		$SQLs[] = "";

		// Update notes (these will be set as task text!)
		$UPDATE_NOTES = "";
		break;
	}
	break;

default: // Do stuff when extension is loaded
	// The translation table
	$yoomediaTranslationTable = array(
		// Error messages
		'error_codes' => array(
			1  => 'wrong_pass',
			2  => 'wrong_sid',
			3  => 'website_locked',
			4  => 'api_data_error',
			5  => 'requests_depleted',
			6  => 'zero_result',
			10 => 'incomplete_request'
		),
		// For text mails
		'textmail' => array(
			0 => 'id',
			1 => 'name',
			2 => 'reload',
			3 => 'wait',
			4 => 'remain',
			5 => 'pay',
			6 => 'text'
		)
	);
	break;
}

// Language file prefix
$EXT_LANG_PREFIX = "yoomedia";

// Extension is always active?
$EXT_ALWAYS_ACTIVE = "Y";

//
?>
